Bug 622502 - dspam_train requires Mail::MboxParser, but it isn't listed as a dependency
dspam_train requires Mail::MboxParser, but it isn't listed as a dependency
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dspam (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Nathanael Noblet
Fedora Extras Quality Assurance
: FutureFeature, Reopened
Depends On: 671106
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-09 10:38 EDT by Gary Funck
Modified: 2018-04-11 12:22 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-Mail-MboxParser-0.55-2.fc13
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:25:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gary Funck 2010-08-09 10:38:41 EDT
Description of problem:
After installing the dspam package, an attempt to run dspam_train
results in an error diagnostic:
"Please install Mail::MboxParser module if you want to be able to use
MBOX files for training."

Version-Release number of selected component (if applicable):
dspam-3.9.0-7.fc13.x86_64

Steps to Reproduce:
1. Install the dspam package
2. rum dspam_train on an 'mbox' file.
  
Actual results:
Dspam_train prints the error message shown below and quits.
"Please install Mail::MboxParser module if you want to be able to use
MBOX files for training."

Expected results:
Dspam_train performs its intended function without complaint.

Additional info:
The code in /usr/bin/dspam_train that detects the error is shown below:
138 sub GetMessages {
139     my ($mbox) = @_;
140 
141     die "Please install Mail::MboxParser module if you want to be able to use " .
142         "MBOX files for training.\n" unless eval { require Mail::MboxParser; };

The package that dspm_train depends upon (perl-Mail-MboxParser)
is not present in the FC13 distribution.  To fix the reported
problem, either that package needs to be added to the FC13
distribution, and a dependency added into the RPM, or dspam_train
needs to be changed to use some other mailbox file parser package
that is in the FC13 distribution.  A case can be made that the
dependency in the source code should be made explicit via a
"use" statement, instead of the "require" shown above.
Comment 1 Fedora Update System 2011-01-20 12:25:55 EST
perl-Mail-MboxParser-0.55-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Mail-MboxParser-0.55-2.fc14
Comment 2 Fedora Update System 2011-01-20 12:27:14 EST
perl-Mail-MboxParser-0.55-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-Mail-MboxParser-0.55-2.fc13
Comment 3 Fedora Update System 2011-01-21 17:57:08 EST
perl-Mail-MboxParser-0.55-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Mail-MboxParser'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/perl-Mail-MboxParser-0.55-2.fc14
Comment 4 Fedora Update System 2011-01-31 14:52:06 EST
perl-Mail-MboxParser-0.55-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2011-01-31 14:52:50 EST
perl-Mail-MboxParser-0.55-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Matěj Cepl 2011-03-03 11:28:55 EST
This is bug against dspam not the perl module, and dspam (at least dspam-3.9.0-15.el6.i686) still doesn't Require perl(Mail::MboxParser), although it is available in the repos.
Comment 7 Bug Zapper 2011-06-01 07:48:54 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2011-06-28 10:47:52 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Matěj Cepl 2012-09-04 07:32:20 EDT
AFAIK, this has never been patched.
Comment 10 Fedora Update System 2012-10-08 02:51:52 EDT
dspam-3.10.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dspam-3.10.2-2.el6
Comment 11 Fedora Update System 2012-10-08 02:52:06 EDT
dspam-3.10.2-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/dspam-3.10.2-2.fc16
Comment 12 Fedora Update System 2012-10-08 02:52:16 EDT
dspam-3.10.2-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/dspam-3.10.2-2.el5
Comment 13 Fedora Update System 2012-10-08 02:52:26 EDT
dspam-3.10.2-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/dspam-3.10.2-3.fc18
Comment 14 Fedora Update System 2012-10-08 02:52:37 EDT
dspam-3.10.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/dspam-3.10.2-2.fc17
Comment 15 Fedora Update System 2012-10-08 11:27:16 EDT
Package dspam-3.10.2-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dspam-3.10.2-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15615/dspam-3.10.2-3.fc18
then log in and leave karma (feedback).
Comment 16 Fedora Update System 2012-10-11 13:35:38 EDT
dspam-3.10.2-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/dspam-3.10.2-4.fc18
Comment 17 Fedora Update System 2012-12-20 11:26:02 EST
dspam-3.10.2-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.